HaruPage::textOut
HaruFont
HaruPage
PHP Manual

# HaruPage::textRect

Print the text inside the specified region

### Description

bool HaruPage::textRect ( float `$left` , float `$top` , float `$right` , float `$bottom` , string `$text` [, int `$align` = HaruPage::TALIGN_LEFT ] )

Prints the text inside the specified region.

### Parameters

`left`

  Left border of the text area.

`top`

  Top border of the text area.

`right`

  Right border of the text area.

`bottom`

  Lower border of the text area.

`text`

  The text to print.

`align`

  Text alignment. Must be one of the following values:

  - `HaruPage::TALIGN_LEFT`
  - `HaruPage::TALIGN_RIGHT`
  - `HaruPage::TALIGN_CENTER`
  - `HaruPage::TALIGN_JUSTIFY`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruPage::showTextNextLine
- HaruPage::showText
- HaruPage::textOut